<template>
	<el-input width="300" v-bind="{ ...$attrs, ...props }">
		<template #append>
			<el-button icon="ele-Refresh" @click="resetQuery" :size="size" style="margin-right: 20px; border-color: rgb(220, 223, 230)" />
			<el-button icon="ele-Search" type="primary" @click="handleQuery" :size="size" style="border-color: rgb(220, 223, 230)" />
		</template>
	</el-input>
</template>

<script setup lang="ts">
import { PropType } from 'vue';

const props = defineProps({
	size: {
		type: String as PropType<'small' | 'default' | 'large'>,
		default: 'default',
	},
});

const emits = defineEmits<{
	(event: 'resetQuery'): void;
	(event: 'query'): void;
}>();

const handleQuery = () => {
	emits('query');
};

const resetQuery = () => {
	emits('resetQuery');
};
</script>
<style scoped lang="scss"></style>
